### Enumeration

# Aravis ExposureMode

#### Declaration

    enum Aravis.ExposureMode

#### Description

No description available.

#### Members

`ARV_EXPOSURE_MODE_OFF`

  Disables the Exposure and let the shutter open.

  - Value: `0`
  - Available since: 0.8
`ARV_EXPOSURE_MODE_TIMED`

  Timed exposure. The exposure duration time is set using the ExposureTime or ExposureAuto features and the exposure starts with the FrameStart or LineStart.

  - Value: `1`
  - Available since: 0.8
`ARV_EXPOSURE_MODE_TRIGGER_WIDTH`

  Uses the width of the current Frame or Line trigger signal(s) pulse to control the exposure duration. Note that if the Frame or Line TriggerActivation is RisingEdge or LevelHigh, the exposure duration will be the time the trigger stays High. If TriggerActivation is FallingEdge or LevelLow, the exposure time will last as long as the trigger stays Low.

  - Value: `2`
  - Available since: 0.8
`ARV_EXPOSURE_MODE_TRIGGER_CONTROLLED`

  Uses one or more trigger signal(s) to control the exposure duration independently from the current Frame or Line triggers. See ExposureStart, ExposureEnd and ExposureActive of the TriggerSelector feature.

  - Value: `3`
  - Available since: 0.8

#### Type functions

###### arv_exposure_mode_from_string

No description available.

###### arv_exposure_mode_to_string

No description available.